hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gkesa...@apache.org
Subject svn commit: r780701 - in /hadoop/core/branches/HADOOP-4687: core/src/test/bin/test-patch.sh hdfs/src/test/ mapred/src/test/
Date Mon, 01 Jun 2009 16:06:19 GMT
Author: gkesavan
Date: Mon Jun  1 16:06:19 2009
New Revision: 780701

URL: http://svn.apache.org/viewvc?rev=780701&view=rev
Log:
Fix test-patch.sh script for eclipse classpath verification

Modified:
    hadoop/core/branches/HADOOP-4687/core/src/test/bin/test-patch.sh
    hadoop/core/branches/HADOOP-4687/hdfs/src/test/   (props changed)
    hadoop/core/branches/HADOOP-4687/mapred/src/test/   (props changed)

Modified: hadoop/core/branches/HADOOP-4687/core/src/test/bin/test-patch.sh
URL: http://svn.apache.org/viewvc/hadoop/core/branches/HADOOP-4687/core/src/test/bin/test-patch.sh?rev=780701&r1=780700&r2=780701&view=diff
==============================================================================
--- hadoop/core/branches/HADOOP-4687/core/src/test/bin/test-patch.sh (original)
+++ hadoop/core/branches/HADOOP-4687/core/src/test/bin/test-patch.sh Mon Jun  1 16:06:19 2009
@@ -101,7 +101,7 @@
   echo ""
   echo ""
   ### When run by a developer, if the workspace contains modifications, do not continue
-  status=`$SVN stat`
+  status=`$SVN stat --ignore-externals | sed -e '/^X[ ]*/D'`
   if [[ $HUDSON == "false" ]] ; then
     if [[ "$status" != "" ]] ; then
       echo "ERROR: can't run in a workspace that contains the following modifications"
@@ -674,8 +674,9 @@
 (( RESULT = RESULT + $? ))
 checkFindbugsWarnings
 (( RESULT = RESULT + $? ))
-checkEclipse
-(( RESULT = RESULT + $? ))
+##Commenting out as dependencies are now resolved using ivy
+##checkEclipse
+##(( RESULT = RESULT + $? ))
 checkReleaseAuditWarnings
 (( RESULT = RESULT + $? ))
 ### Do not call these when run by a developer 

Propchange: hadoop/core/branches/HADOOP-4687/hdfs/src/test/
------------------------------------------------------------------------------
--- svn:externals (added)
+++ svn:externals Mon Jun  1 16:06:19 2009
@@ -0,0 +1 @@
+bin  https://svn.apache.org/repos/asf/hadoop/core/branches/HADOOP-4687/core/src/test/bin

Propchange: hadoop/core/branches/HADOOP-4687/mapred/src/test/
------------------------------------------------------------------------------
--- svn:externals (added)
+++ svn:externals Mon Jun  1 16:06:19 2009
@@ -0,0 +1 @@
+bin  https://svn.apache.org/repos/asf/hadoop/core/branches/HADOOP-4687/core/src/test/bin




Mime
View raw message